org.eclipse.microprofile.reactive.messaging.tck

## Class TckBase

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.TckBase

Direct Known Subclasses:
  ApplicationScopeTest, AsynchronousMessageProcessorAckTest, AsynchronousMessageSubscriberAckTest, AsynchronousPayloadProcessorAckTest, AsynchronousPayloadSubscriberAckTest, BufferOverflowStrategyOverflowTest, BufferOverflowStrategyTest, ChannelInjectionDifferentFlavourSameChannelTest, ChannelInjectionPublisherBuilderMessageTest, ChannelInjectionPublisherBuilderPayloadTest, ChannelInjectionPublisherPayloadTest, ChannelInjectionPublisherTest, DefaultOverflowStrategyOverflowTest, DefaultOverflowStrategyOverflowWithoutBufferSizeTest, DefaultOverflowStrategyTest, DependantScopeTest, DropOverflowStrategyOverflowTest, DropOverflowStrategyTest, EmitterInjectionAfterTerminatingWithErrorTest, EmitterInjectionConnectedToProcessorTest, EmitterInjectionEmittingDataAfterTerminationTest, EmitterInjectionEmittingMessageTest, EmitterInjectionEmittingNullTest, EmitterInjectionMessageBeanWithPayloadsWithAckTest, EmitterInjectionPayloadsTest, EmitterInjectionPayloadsWithAckTest, EmitterOfMessageAcknowledgementTest, EmitterOfPayloadAcknowledgementTest, FailOverflowStrategyOverflowTest, LatestOverflowStrategyOverflowTest, LatestOverflowStrategyTest, MessageProcessorAckTest, PayloadProcessorAckTest, PayloadSubscriberAckTest, ProcessorShapeTest, PublisherShapeTest, SubscriberShapeTest, ThrowExceptionOverflowStrategyOverflowTest, ThrowExceptionOverflowStrategyTest

    public abstract class TckBase
    extends Object

### Field Summary

Fields
`static Executor` `EXECUTOR`

### Constructor Summary

Constructors
Constructor and Description
`TckBase()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.JavaArchive` `getBaseArchive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXECUTOR

    public static final Executor EXECUTOR

### Constructor Detail

#### TckBase

    public TckBase()

### Method Detail

#### getBaseArchive

    public static org.jboss.shrinkwrap.api.spec.JavaArchive getBaseArchive()